com.microfocus.awm.model.internal

## Class Filter

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.model.internal.Filter

- All Implemented Interfaces:
    IFilter, IResource, org.eclipse.core.runtime.IAdaptable

      public class Filter
      extends Resource
      implements IFilter

  Main implementation of `IFilter`.
  Author:
    Ralf Pakosch

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

    - ### Fields inherited from interface com.microfocus.awm.model.IFilter

      `ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter(FilterType pFilterType)` Basic constructor.
    `Filter(FilterType pFilterType, java.lang.String pID)` Constructor for loading a filter from cache.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()` Removes this resource and all its children resources from cache.
    `FilterType` | `getFilterType()` Gets the filter type of the filter.
    `boolean` | `isChangePending()` Whether changes have been made to the filter (e.g.
    `void` | `setChangePending(boolean pChangePending)` Sets whether there are pending changes for this filter.
    `void` | `setFilterType(FilterType pFilType)` Sets the filter type of the filter.

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, equals, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, hashCode, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### Filter

          public Filter(FilterType pFilterType)

      Basic constructor.
      Parameters:
        `pFilterType` - the filter type

    - #### Filter

          public Filter(FilterType pFilterType,
                        java.lang.String pID)

      Constructor for loading a filter from cache.
      Parameters:
        `pFilterType` - the filter type
        `pID` - the cache ID

  - ### Method Detail

    - #### getFilterType

          public FilterType getFilterType()

      Description copied from interface: `IFilter`
      Gets the filter type of the filter.
      Specified by:
        `getFilterType` in interface `IFilter`
      Returns:
        the filter type

    - #### isChangePending

          public boolean isChangePending()

      Description copied from interface: `IFilter`
      Whether changes have been made to the filter (e.g. the user edited the filter properties).
      Specified by:
        `isChangePending` in interface `IFilter`
      Returns:
        `true` if changes have been made to the filter

    - #### setChangePending

          public void setChangePending(boolean pChangePending)

      Description copied from interface: `IFilter`
      Sets whether there are pending changes for this filter.

      Should be set to `true` if changes were made to the filter and e.g. filter actions must be executed again to refresh potential result lists.

      Should be set to `false` by actions which refresh the filter and potential result lists.

      Specified by:
        `setChangePending` in interface `IFilter`
      Parameters:
        `pChangePending` - whether changes are pending for the filter

    - #### setFilterType

          public void setFilterType(FilterType pFilType)

      Description copied from interface: `IFilter`
      Sets the filter type of the filter.
      Specified by:
        `setFilterType` in interface `IFilter`
      Parameters:
        `pFilType` - the new filter type

    - #### delete

          public void delete()
                      throws TaurusCoreException

      Description copied from interface: `IResource`
      Removes this resource and all its children resources from cache.
      Will not delete the physical resource on the target system.
      Specified by:
        `delete` in interface `IResource`
      Overrides:
        `delete` in class `Resource`
      Throws:
        `TaurusCoreException` - if the deletion of the resource fails
      See Also:
        `IResource.getChildrenResources()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.